/*
 * CG Madness - a Marble Madness clone
 * Copyright (C) 2007  Sven Reinck <sreinck@gmail.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

#ifndef Package_hpp
#define Package_hpp

#include "libgrapple/grapple.h"

#include "utils/ByteArray.hpp"

class Package
{
public:
  Package(grapple_user sender, const ByteArray& data);
  virtual ~Package();
  
  const grapple_user& sender() const; 
  const ByteArray& data() const; 

private:
	grapple_user mSender;
	ByteArray mData;
	
};

inline const grapple_user& Package::sender() const
{
	return mSender;
}

inline const ByteArray& Package::data() const
{
	return mData;
}

#endif
